Gary & Cindy having fun.jpg=
AT the I-94 rest stop.jpg=
Pure octane!.jpg=
All four pumps are ours!.jpg=
All four pumps are ours!-3.jpg=
Tim's '70 1600.jpg=
Steve & Dar en route.jpg=
Gary & Cindy's 67-half 2000.jpg=
The lineup.jpg=
All four pumps are ours!-2.jpg=
Gary's fine 67-half 2L thirst quenched.jpg=
Conquering Datsun entering the city below.jpg=
Think Bullitt-2.jpg=
Steve & Dar en route-3.jpg=
Steve & Dar en route-4.jpg=
If only it wasn't fuzzy.jpg=
Steve & Dar en route-2.jpg=
At the rest stop-2.jpg=
Takin over the gas station.jpg=
My 67-half BSR tribute.jpg=
Gassin up.jpg=
In front of Tim's.jpg=
Think Bullitt.jpg=
At the rest stop-3.jpg=
Gary & Cindy in the twisties.jpg=
Leaving.jpg=
Steve & Dar in my mirror.jpg=
Datsun's rule the road.jpg=
At the Ridge-3.jpg=
At the Ridge.jpg=
At the Ridge-2.jpg=
Think Bullitt-3.jpg=
Harvey's engine bay.jpg=
